build: false
shallow_clone: false
version: '2.0.0.{build}'
platform: 'x64'
clone_folder: C:\projects\simplesamlphp

environment:
  matrix:
    - PHP_VERSION: "7.2"
    - PHP_VERSION: "7.3"
    - PHP_VERSION: "7.4"

install:
  - ps: Invoke-WebRequest "https://raw.githubusercontent.com/ChadSikorra/ps-install-php/master/Install-PHP.ps1" -OutFile "Install-PHP.ps1"
  - ps: .\Install-PHP.ps1 -Version $Env:PHP_VERSION -Highest -Arch x64 -Extensions mbstring,intl,openssl,curl,pdo_mysql,pdo_sqlite
  - refreshenv
  - cd C:\projects\simplesamlphp
  - php -r "readfile('https://getcomposer.org/installer');" | php

before_test:
  - cd C:\projects\simplesamlphp
  # For 2.0 (or once the externalized modules are no longer included), remove the --ignore-platform-reqs
  - php composer.phar install --no-interaction --no-progress --optimize-autoloader --prefer-source --no-ansi --ignore-platform-reqs

test_script:
  - cd C:\projects\simplesamlphp
  - vendor\bin\phpunit.bat
  
